## postgresql-18 18~~devel-1.pgdg130+~20250311.2224.g043745c

=== meson_options.txt ===
# Copyright (c) 2022-2025, PostgreSQL Global Development Group

# Data layout influencing options

option('blocksize', type: 'combo',
  choices: ['1', '2', '4', '8', '16', '32'],
  value: '8',
  description: 'Relation block size, in kilobytes')

option('wal_blocksize', type: 'combo',
  choices: ['1', '2', '4', '8', '16', '32', '64'],
  value: '8',
  description: 'WAL block size, in kilobytes')

option('segsize', type: 'integer', value: 1,
  description: 'Segment size, in gigabytes')

option('segsize_blocks', type: 'integer', value: 0,
  description: 'Segment size, in blocks')


# Miscellaneous options

option('krb_srvnam', type: 'string', value: 'postgres',
  description: 'Default Kerberos service principal for GSSAPI')

option('system_tzdata', type: 'string', value: '',
  description: 'Use system time zone data in specified directory')


# Defaults

option('pgport', type: 'integer', value: 5432,
  min: 1, max: 65535,
  description: 'Default port number for server and clients')


# Developer options

option('cassert', type: 'boolean', value: false,
  description: 'Enable assertion checks (for debugging)')

option('tap_tests', type: 'feature', value: 'auto',
  description: 'Enable TAP tests')

option('injection_points', type: 'boolean', value: false,
  description: 'Enable injection points')

option('PG_TEST_EXTRA', type: 'string', value: '',
  description: 'Enable selected extra tests. Overridden by PG_TEST_EXTRA environment variable.')

option('PG_GIT_REVISION', type: 'string', value: 'HEAD',
  description: 'git revision to be packaged by pgdist target')


# Compilation options

option('extra_include_dirs', type: 'array', value: [],
  description: 'Non-default directories to be searched for headers')

option('extra_lib_dirs', type: 'array', value: [],
  description: 'Non-default directories to be searched for libs')

option('extra_version', type: 'string', value: '',
  description: 'Append STRING to the PostgreSQL version number')

option('darwin_sysroot', type: 'string', value: '',
  description: 'Select a non-default sysroot path')

option('rpath', type: 'boolean', value: true,
  description: 'Embed shared library search path in executables')


# External dependencies

option('bonjour', type: 'feature', value: 'auto',
  description: 'Bonjour support')

option('bsd_auth', type: 'feature', value: 'auto',
  description: 'BSD Authentication support')

option('docs', type: 'feature', value: 'auto',
  description: 'Documentation in HTML and man page format')

option('docs_pdf', type: 'feature', value: 'auto',
  description: 'Documentation in PDF format')

option('docs_html_style', type: 'combo', choices: ['simple', 'website'],
  description: 'CSS stylesheet for HTML documentation')

option('dtrace', type: 'feature', value: 'disabled',
  description: 'DTrace support')

option('gssapi', type: 'feature', value: 'auto',
  description: 'GSSAPI support')

option('icu', type: 'feature', value: 'auto',
  description: 'ICU support')

option('ldap', type: 'feature', value: 'auto',
  description: 'LDAP support')

option('libcurl', type : 'feature', value: 'auto',
  description: 'libcurl support')

option('libedit_preferred', type: 'boolean', value: false,
  description: 'Prefer BSD Libedit over GNU Readline')

option('libxml', type: 'feature', value: 'auto',
  description: 'XML support')

option('libxslt', type: 'feature', value: 'auto',
  description: 'XSLT support in contrib/xml2')

option('llvm', type: 'feature', value: 'disabled',
  description: 'LLVM support')

option('lz4', type: 'feature', value: 'auto',
  description: 'LZ4 support')

option('nls', type: 'feature', value: 'auto',
  description: 'Native language support')

option('pam', type: 'feature', value: 'auto',
  description: 'PAM support')

option('plperl', type: 'feature', value: 'auto',
  description: 'Build Perl modules (PL/Perl)')

option('plpython', type: 'feature', value: 'auto',
  description: 'Build Python modules (PL/Python)')

option('pltcl', type: 'feature', value: 'auto',
  description: 'Build with Tcl support (PL/Tcl)')

option('tcl_version', type: 'string', value: 'tcl',
  description: 'Tcl version')

option('readline', type: 'feature', value: 'auto',
  description: 'Use GNU Readline or BSD Libedit for editing')

option('selinux', type: 'feature', value: 'auto',
  description: 'SELinux support')

option('ssl', type: 'combo', choices: ['auto', 'none', 'openssl'],
  value: 'auto',
  description: 'Use LIB for SSL/TLS support (openssl)')

option('systemd', type: 'feature', value: 'auto',
  description: 'systemd support')

option('uuid', type: 'combo', choices: ['none', 'bsd', 'e2fs', 'ossp'],
  value: 'none',
  description: 'Use LIB for contrib/uuid-ossp support')

option('zlib', type: 'feature', value: 'auto',
  description: 'Enable zlib')

option('zstd', type: 'feature', value: 'auto',
  description: 'Enable zstd')


# Programs

option('BISON', type: 'array', value: ['bison', 'win_bison'],
  description: 'Path to bison binary')

option('DTRACE', type: 'string', value: 'dtrace',
  description: 'Path to dtrace binary')

option('FLEX', type: 'array', value: ['flex', 'win_flex'],
  description: 'Path to flex binary')

option('FOP', type: 'string', value: 'fop',
  description: 'Path to fop binary')

option('GZIP', type: 'string', value: 'gzip',
  description: 'Path to gzip binary')

option('LZ4', type: 'string', value: 'lz4',
  description: 'Path to lz4 binary')

option('OPENSSL', type: 'string', value: 'openssl',
  description: 'Path to openssl binary')

option('PERL', type: 'string', value: 'perl',
  description: 'Path to perl binary')

option('PROVE', type: 'string', value: 'prove',
  description: 'Path to prove binary')

option('PYTHON', type: 'array', value: ['python3', 'python'],
  description: 'Path to python binary')

option('SED', type: 'string', value: 'gsed',
  description: 'Path to sed binary')

option('STRIP', type: 'string', value: 'strip',
  description: 'Path to strip binary, used for PGXS emulation')

option('TAR', type: 'string', value: 'tar',
  description: 'Path to tar binary')

option('XMLLINT', type: 'string', value: 'xmllint',
  description: 'Path to xmllint binary')

option('XSLTPROC', type: 'string', value: 'xsltproc',
  description: 'Path to xsltproc binary')

option('ZSTD', type: 'string', value: 'zstd',
  description: 'Path to zstd binary')

option('ZIC', type: 'string', value: 'zic',
  description: 'Path to zic binary, when cross-compiling')

=== .pc/filter-debug-prefix-map/src/common/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile
#    Makefile for src/common
#
# These files are used by the Postgres backend, and also by frontend
# programs.  These files provide common functionality that isn't directly
# concerned with portability and thus doesn't belong in src/port.
#
# This makefile generates three outputs:
#
#	libpgcommon.a - contains object files with FRONTEND defined,
#		for use by client applications
#
#	libpgcommon_shlib.a - contains object files with FRONTEND defined,
#		built suitably for use in shared libraries; for use
#		by frontend libraries
#
#	libpgcommon_srv.a - contains object files without FRONTEND defined,
#		for use only by the backend
#
# IDENTIFICATION
#    src/common/Makefile
#
#-------------------------------------------------------------------------

subdir = src/common
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

# don't include subdirectory-path-dependent -I and -L switches
STD_CPPFLAGS := $(filter-out -I$(top_srcdir)/src/include -I$(top_builddir)/src/include,$(CPPFLAGS))
STD_LDFLAGS := $(filter-out -L$(top_builddir)/src/common -L$(top_builddir)/src/port,$(LDFLAGS))
override CPPFLAGS += -DVAL_CC="\"$(CC)\""
override CPPFLAGS += -DVAL_CPPFLAGS="\"$(STD_CPPFLAGS)\""
override CPPFLAGS += -DVAL_CFLAGS="\"$(CFLAGS)\""
override CPPFLAGS += -DVAL_CFLAGS_SL="\"$(CFLAGS_SL)\""
override CPPFLAGS += -DVAL_LDFLAGS="\"$(STD_LDFLAGS)\""
override CPPFLAGS += -DVAL_LDFLAGS_EX="\"$(LDFLAGS_EX)\""
override CPPFLAGS += -DVAL_LDFLAGS_SL="\"$(LDFLAGS_SL)\""
override CPPFLAGS += -DVAL_LIBS="\"$(LIBS)\""

override CPPFLAGS := -DFRONTEND -I. -I$(top_srcdir)/src/common $(CPPFLAGS)
LIBS += $(PTHREAD_LIBS)

OBJS_COMMON = \
	archive.o \
	base64.o \
	binaryheap.o \
	blkreftable.o \
	checksum_helper.o \
	compression.o \
	config_info.o \
	controldata_utils.o \
	d2s.o \
	encnames.o \
	exec.o \
	f2s.o \
	file_perm.o \
	file_utils.o \
	hashfn.o \
	ip.o \
	jsonapi.o \
	keywords.o \
	kwlookup.o \
	link-canary.o \
	md5_common.o \
	parse_manifest.o \
	percentrepl.o \
	pg_get_line.o \
	pg_lzcompress.o \
	pg_prng.o \
	pgfnames.o \
	psprintf.o \
	relpath.o \
	rmtree.o \
	saslprep.o \
	scram-common.o \
	string.o \
	stringinfo.o \
	unicode_case.o \
	unicode_category.o \
	unicode_norm.o \
	username.o \
	wait_error.o \
	wchar.o

ifeq ($(with_ssl),openssl)
OBJS_COMMON += \
	cryptohash_openssl.o \
	hmac_openssl.o
else
OBJS_COMMON += \
	cryptohash.o \
	hmac.o \
	md5.o \
	sha1.o \
	sha2.o
endif

# A few files are currently only built for frontend, not server.
# logging.c is excluded from OBJS_FRONTEND_SHLIB (shared library) as
# a matter of policy, because it is not appropriate for general purpose
# libraries such as libpq to report errors directly.  fe_memutils.c is
# excluded because libpq must not exit() on allocation failure.
#
# The excluded files for _shlib builds are pulled into their own static
# library, for the benefit of test programs that need not follow the
# shlib rules.
OBJS_FRONTEND_SHLIB = \
	$(OBJS_COMMON) \
	restricted_token.o \
	sprompt.o
OBJS_EXCLUDED_SHLIB = \
	fe_memutils.o \
	logging.o
OBJS_FRONTEND = \
	$(OBJS_FRONTEND_SHLIB) \
	$(OBJS_EXCLUDED_SHLIB)

# foo.o, foo_shlib.o, and foo_srv.o are all built from foo.c
OBJS_SHLIB = $(OBJS_FRONTEND_SHLIB:%.o=%_shlib.o)
OBJS_SRV = $(OBJS_COMMON:%.o=%_srv.o)

# where to find gen_keywordlist.pl and subsidiary files
TOOLSDIR = $(top_srcdir)/src/tools
GEN_KEYWORDLIST = $(PERL) -I $(TOOLSDIR) $(TOOLSDIR)/gen_keywordlist.pl
GEN_KEYWORDLIST_DEPS = $(TOOLSDIR)/gen_keywordlist.pl $(TOOLSDIR)/PerfectHash.pm

all: libpgcommon.a libpgcommon_shlib.a libpgcommon_srv.a libpgcommon_excluded_shlib.a

# libpgcommon is needed by some contrib
install: all installdirs
	$(INSTALL_STLIB) libpgcommon.a '$(DESTDIR)$(libdir)/libpgcommon.a'
	$(INSTALL_STLIB) libpgcommon_shlib.a '$(DESTDIR)$(libdir)/libpgcommon_shlib.a'

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(libdir)'

uninstall:
	rm -f '$(DESTDIR)$(libdir)/libpgcommon.a'
	rm -f '$(DESTDIR)$(libdir)/libpgcommon_shlib.a'

libpgcommon.a: $(OBJS_FRONTEND)
	rm -f $@
	$(AR) $(AROPT) $@ $^

#
# Files in libpgcommon.a should use/export the "xxx_private" versions
# of pg_char_to_encoding() and friends.
#
$(OBJS_FRONTEND): CPPFLAGS += -DUSE_PRIVATE_ENCODING_FUNCS


#
# Shared library versions of object files
#

libpgcommon_shlib.a: $(OBJS_SHLIB)
	rm -f $@
	$(AR) $(AROPT) $@ $^

# The JSON API normally exits on out-of-memory; disable that behavior for shared
# library builds. This requires libpq's pqexpbuffer.h.
jsonapi_shlib.o: override CPPFLAGS += -DJSONAPI_USE_PQEXPBUFFER
jsonapi_shlib.o: override CPPFLAGS += -I$(libpq_srcdir)

# Because this uses its own compilation rule, it doesn't use the
# dependency tracking logic from Makefile.global.  To make sure that
# dependency tracking works anyway for the *_shlib.o files, depend on
# their *.o siblings as well, which do have proper dependencies.  It's
# a hack that might fail someday if there is a *_shlib.o without a
# corresponding *.o, but there seems little reason for that.
%_shlib.o: %.c %.o
	$(CC) $(CFLAGS) $(CFLAGS_SL) $(CPPFLAGS) -c $< -o $@

libpgcommon_excluded_shlib.a: $(OBJS_EXCLUDED_SHLIB)
	rm -f $@
	$(AR) $(AROPT) $@ $^

#
# Server versions of object files
#

libpgcommon_srv.a: $(OBJS_SRV)
	rm -f $@
	$(AR) $(AROPT) $@ $^

# Because this uses its own compilation rule, it doesn't use the
# dependency tracking logic from Makefile.global.  To make sure that
# dependency tracking works anyway for the *_srv.o files, depend on
# their *.o siblings as well, which do have proper dependencies.  It's
# a hack that might fail someday if there is a *_srv.o without a
# corresponding *.o, but it works for now.
%_srv.o: %.c %.o
	$(CC) $(CFLAGS) $(subst -DFRONTEND,, $(CPPFLAGS)) -c $< -o $@

# generate SQL keyword lookup table to be included into keywords*.o.
kwlist_d.h: $(top_srcdir)/src/include/parser/kwlist.h $(GEN_KEYWORDLIST_DEPS)
	$(GEN_KEYWORDLIST) --extern $<

# Dependencies of keywords*.o need to be managed explicitly to make sure
# that you don't get broken parsing code, even in a non-enable-depend build.
keywords.o keywords_shlib.o keywords_srv.o: kwlist_d.h

# The code imported from Ryu gets a pass on declaration-after-statement,
# in order to keep it more closely aligned with its upstream.
RYU_FILES = d2s.o f2s.o
RYU_OBJS = $(RYU_FILES) $(RYU_FILES:%.o=%_shlib.o) $(RYU_FILES:%.o=%_srv.o)

$(RYU_OBJS): CFLAGS += $(PERMIT_DECLARATION_AFTER_STATEMENT)

clean distclean:
	rm -f libpgcommon.a libpgcommon_shlib.a libpgcommon_srv.a libpgcommon_excluded_shlib.a
	rm -f $(OBJS_FRONTEND) $(OBJS_SHLIB) $(OBJS_SRV)
	rm -f kwlist_d.h

=== src/backend/access/heap/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for access/heap
#
# IDENTIFICATION
#    src/backend/access/heap/Makefile
#
#-------------------------------------------------------------------------

subdir = src/backend/access/heap
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = \
	heapam.o \
	heapam_handler.o \
	heapam_visibility.o \
	heapam_xlog.o \
	heaptoast.o \
	hio.o \
	pruneheap.o \
	rewriteheap.o \
	vacuumlazy.o \
	visibilitymap.o

include $(top_srcdir)/src/backend/common.mk

=== src/test/modules/oauth_validator/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/test/modules/oauth_validator
#
# Portions Copyright (c) 1996-2025, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/test/modules/oauth_validator/Makefile
#
#-------------------------------------------------------------------------

MODULES = validator fail_validator magic_validator
PGFILEDESC = "validator - test OAuth validator module"

PROGRAM = oauth_hook_client
PGAPPICON = win32
OBJS = $(WIN32RES) oauth_hook_client.o

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS_INTERNAL += $(libpq_pgport)

NO_INSTALLCHECK = 1

TAP_TESTS = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = src/test/modules/oauth_validator
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk

export PYTHON
export with_libcurl
export with_python

endif

=== debian/changelog ===
postgresql-18 (18~~devel-1.pgdg130+~20250311.2224.g043745c) trixie-pgdg; urgency=medium

  * Rebuild for trixie-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 02 Jul 2024 14:48:33 +0200

## postgresql-18 18~~devel-1.pgdg+~20250311.2223.g043745c

=== src/backend/commands/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for backend/commands
#
# IDENTIFICATION
#    src/backend/commands/Makefile
#
#-------------------------------------------------------------------------

subdir = src/backend/commands
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = \
	aggregatecmds.o \
	alter.o \
	amcmds.o \
	analyze.o \
	async.o \
	cluster.o \
	collationcmds.o \
	comment.o \
	constraint.o \
	conversioncmds.o \
	copy.o \
	copyfrom.o \
	copyfromparse.o \
	copyto.o \
	createas.o \
	dbcommands.o \
	define.o \
	discard.o \
	dropcmds.o \
	event_trigger.o \
	explain.o \
	explain_dr.o \
	explain_format.o \
	extension.o \
	foreigncmds.o \
	functioncmds.o \
	indexcmds.o \
	lockcmds.o \
	matview.o \
	opclasscmds.o \
	operatorcmds.o \
	policy.o \
	portalcmds.o \
	prepare.o \
	proclang.o \
	publicationcmds.o \
	schemacmds.o \
	seclabel.o \
	sequence.o \
	statscmds.o \
	subscriptioncmds.o \
	tablecmds.o \
	tablespace.o \
	trigger.o \
	tsearchcmds.o \
	typecmds.o \
	user.o \
	vacuum.o \
	vacuumparallel.o \
	variable.o \
	view.o

include $(top_srcdir)/src/backend/common.mk

=== src/backend/snowball/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/backend/snowball
#
# src/backend/snowball/Makefile
#
#-------------------------------------------------------------------------

PGFILEDESC = "snowball - natural language stemmers"
PGAPPICON = win32

subdir = src/backend/snowball
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

override CPPFLAGS := -I$(top_srcdir)/src/include/snowball \
	-I$(top_srcdir)/src/include/snowball/libstemmer $(CPPFLAGS)

OBJS = \
	$(WIN32RES) \
	api.o \
	dict_snowball.o \
	utilities.o

OBJS += \
	stem_ISO_8859_1_basque.o \
	stem_ISO_8859_1_catalan.o \
	stem_ISO_8859_1_danish.o \
	stem_ISO_8859_1_dutch.o \
	stem_ISO_8859_1_english.o \
	stem_ISO_8859_1_finnish.o \
	stem_ISO_8859_1_french.o \
	stem_ISO_8859_1_german.o \
	stem_ISO_8859_1_indonesian.o \
	stem_ISO_8859_1_irish.o \
	stem_ISO_8859_1_italian.o \
	stem_ISO_8859_1_norwegian.o \
	stem_ISO_8859_1_porter.o \
	stem_ISO_8859_1_portuguese.o \
	stem_ISO_8859_1_spanish.o \
	stem_ISO_8859_1_swedish.o \
	stem_ISO_8859_2_hungarian.o \
	stem_KOI8_R_russian.o \
	stem_UTF_8_arabic.o \
	stem_UTF_8_armenian.o \
	stem_UTF_8_basque.o \
	stem_UTF_8_catalan.o \
	stem_UTF_8_danish.o \
	stem_UTF_8_dutch.o \
	stem_UTF_8_english.o \
	stem_UTF_8_estonian.o \
	stem_UTF_8_finnish.o \
	stem_UTF_8_french.o \
	stem_UTF_8_german.o \
	stem_UTF_8_greek.o \
	stem_UTF_8_hindi.o \
	stem_UTF_8_hungarian.o \
	stem_UTF_8_indonesian.o \
	stem_UTF_8_irish.o \
	stem_UTF_8_italian.o \
	stem_UTF_8_lithuanian.o \
	stem_UTF_8_nepali.o \
	stem_UTF_8_norwegian.o \
	stem_UTF_8_porter.o \
	stem_UTF_8_portuguese.o \
	stem_UTF_8_romanian.o \
	stem_UTF_8_russian.o \
	stem_UTF_8_serbian.o \
	stem_UTF_8_spanish.o \
	stem_UTF_8_swedish.o \
	stem_UTF_8_tamil.o \
	stem_UTF_8_turkish.o \
	stem_UTF_8_yiddish.o

stop_files = \
	danish.stop \
	dutch.stop \
	english.stop \
	finnish.stop \
	french.stop \
	german.stop \
	hungarian.stop \
	italian.stop \
	nepali.stop \
	norwegian.stop \
	portuguese.stop \
	russian.stop \
	spanish.stop \
	swedish.stop \
	turkish.stop

SQLSCRIPT= snowball_create.sql
DICTDIR=tsearch_data

VPATH += $(srcdir)/libstemmer

NAME := dict_snowball
rpath =

all: all-shared-lib $(SQLSCRIPT)

include $(top_srcdir)/src/Makefile.shlib

$(SQLSCRIPT): snowball_create.pl snowball_func.sql.in snowball.sql.in
	$(PERL) $< --input ${srcdir} --outdir .

install: all installdirs install-lib install-script
	$(INSTALL_DATA) $(addprefix $(srcdir)/stopwords/,$(stop_files)) '$(DESTDIR)$(datadir)/$(DICTDIR)'

# $(SQLSCRIPT) might be in the srcdir or the build dir
install-script: $(SQLSCRIPT)
	$(INSTALL_DATA) $< '$(DESTDIR)$(datadir)'

installdirs: installdirs-lib
	$(MKDIR_P) '$(DESTDIR)$(datadir)' '$(DESTDIR)$(datadir)/$(DICTDIR)'

uninstall: uninstall-lib
	rm -f '$(DESTDIR)$(datadir)/$(SQLSCRIPT)'
	rm -f $(addprefix '$(DESTDIR)$(datadir)/$(DICTDIR)/',$(stop_files))

clean distclean: clean-lib
	rm -f $(OBJS)
	rm -f $(SQLSCRIPT)

=== src/bin/pg_dump/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/pg_dump
#
# Portions Copyright (c) 1996-2025, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# src/bin/pg_dump/Makefile
#
#-------------------------------------------------------------------------

PGFILEDESC = "pg_dump/pg_restore/pg_dumpall - backup and restore PostgreSQL databases"
PGAPPICON=win32

subdir = src/bin/pg_dump
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

export GZIP_PROGRAM=$(GZIP)
export LZ4
export ZSTD
export with_icu

override CPPFLAGS := -I$(libpq_srcdir) $(CPPFLAGS)
LDFLAGS_INTERNAL += -L$(top_builddir)/src/fe_utils -lpgfeutils $(libpq_pgport)

OBJS = \
	$(WIN32RES) \
	compress_gzip.o \
	compress_io.o \
	compress_lz4.o \
	compress_none.o \
	compress_zstd.o \
	dumputils.o \
	filter.o \
	parallel.o \
	pg_backup_archiver.o \
	pg_backup_custom.o \
	pg_backup_db.o \
	pg_backup_directory.o \
	pg_backup_null.o \
	pg_backup_tar.o \
	pg_backup_utils.o

all: pg_dump pg_restore pg_dumpall

pg_dump: pg_dump.o common.o pg_dump_sort.o $(OBJS) | submake-libpq submake-libpgport submake-libpgfeutils
	$(CC) $(CFLAGS) pg_dump.o common.o pg_dump_sort.o $(OBJS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@$(X)

pg_restore: pg_restore.o $(OBJS) | submake-libpq submake-libpgport submake-libpgfeutils
	$(CC) $(CFLAGS) pg_restore.o $(OBJS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@$(X)

pg_dumpall: pg_dumpall.o dumputils.o filter.o $(WIN32RES) | submake-libpq submake-libpgport submake-libpgfeutils
	$(CC) $(CFLAGS) pg_dumpall.o dumputils.o filter.o $(WIN32RES) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o $@$(X)

install: all installdirs
	$(INSTALL_PROGRAM) pg_dump$(X) '$(DESTDIR)$(bindir)'/pg_dump$(X)
	$(INSTALL_PROGRAM) pg_restore$(X) '$(DESTDIR)$(bindir)'/pg_restore$(X)
	$(INSTALL_PROGRAM) pg_dumpall$(X) '$(DESTDIR)$(bindir)'/pg_dumpall$(X)

installdirs:
	$(MKDIR_P) '$(DESTDIR)$(bindir)'

check:
	$(prove_check)

installcheck:
	$(prove_installcheck)

uninstall:
	rm -f $(addprefix '$(DESTDIR)$(bindir)'/, pg_dump$(X) pg_restore$(X) pg_dumpall$(X))

clean distclean:
	rm -f pg_dump$(X) pg_restore$(X) pg_dumpall$(X) $(OBJS) pg_dump.o common.o pg_dump_sort.o pg_restore.o pg_dumpall.o
	rm -rf tmp_check

=== src/backend/utils/adt/Makefile ===
#
# Makefile for utils/adt
#
# src/backend/utils/adt/Makefile
#

subdir = src/backend/utils/adt
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

override CPPFLAGS := -I. -I$(srcdir) $(CPPFLAGS)

# keep this list arranged alphabetically or it gets to be a mess
OBJS = \
	acl.o \
	amutils.o \
	array_expanded.o \
	array_selfuncs.o \
	array_typanalyze.o \
	array_userfuncs.o \
	arrayfuncs.o \
	arraysubs.o \
	arrayutils.o \
	ascii.o \
	bool.o \
	cash.o \
	char.o \
	cryptohashfuncs.o \
	date.o \
	datetime.o \
	datum.o \
	dbsize.o \
	domains.o \
	encode.o \
	enum.o \
	expandeddatum.o \
	expandedrecord.o \
	float.o \
	format_type.o \
	formatting.o \
	genfile.o \
	geo_ops.o \
	geo_selfuncs.o \
	geo_spgist.o \
	hbafuncs.o \
	inet_cidr_ntop.o \
	inet_net_pton.o \
	int.o \
	int8.o \
	json.o \
	jsonb.o \
	jsonb_gin.o \
	jsonb_op.o \
	jsonb_util.o \
	jsonfuncs.o \
	jsonbsubs.o \
	jsonpath.o \
	jsonpath_exec.o \
	jsonpath_gram.o \
	jsonpath_scan.o \
	like.o \
	like_support.o \
	lockfuncs.o \
	mac.o \
	mac8.o \
	mcxtfuncs.o \
	misc.o \
	multirangetypes.o \
	multirangetypes_selfuncs.o \
	name.o \
	network.o \
	network_gist.o \
	network_selfuncs.o \
	network_spgist.o \
	numeric.o \
	numutils.o \
	oid.o \
	oracle_compat.o \
	orderedsetaggs.o \
	partitionfuncs.o \
	pg_locale.o \
	pg_locale_builtin.o \
	pg_locale_icu.o \
	pg_locale_libc.o \
	pg_lsn.o \
	pg_upgrade_support.o \
	pgstatfuncs.o \
	pseudorandomfuncs.o \
	pseudotypes.o \
	quote.o \
	rangetypes.o \
	rangetypes_gist.o \
	rangetypes_selfuncs.o \
	rangetypes_spgist.o \
	rangetypes_typanalyze.o \
	regexp.o \
	regproc.o \
	ri_triggers.o \
	rowtypes.o \
	ruleutils.o \
	selfuncs.o \
	tid.o \
	timestamp.o \
	trigfuncs.o \
	tsginidx.o \
	tsgistidx.o \
	tsquery.o \
	tsquery_cleanup.o \
	tsquery_gist.o \
	tsquery_op.o \
	tsquery_rewrite.o \
	tsquery_util.o \
	tsrank.o \
	tsvector.o \
	tsvector_op.o \
	tsvector_parser.o \
	uuid.o \
	varbit.o \
	varchar.o \
	varlena.o \
	version.o \
	waitfuncs.o \
	windowfuncs.o \
	xid.o \
	xid8funcs.o \
	xml.o

# See notes in src/backend/parser/Makefile about the following two rules
jsonpath_gram.h: jsonpath_gram.c
	touch $@

jsonpath_gram.c: BISONFLAGS += -d

jsonpath_scan.c: FLEXFLAGS = -CF -p -p
jsonpath_scan.c: FLEX_NO_BACKUP=yes

# Force these dependencies to be known even without dependency info built:
jsonpath_gram.o jsonpath_scan.o: jsonpath_gram.h

clean:
	rm -f lex.backup
	rm -f jsonpath_gram.c jsonpath_gram.h jsonpath_scan.c

like.o: like.c like_match.c

# Some code in numeric.c benefits from auto-vectorization
numeric.o: CFLAGS += ${CFLAGS_VECTORIZE}

varlena.o: varlena.c levenshtein.c

include $(top_srcdir)/src/backend/common.mk

=== src/test/modules/test_extensions/Makefile ===
# src/test/modules/test_extensions/Makefile

MODULE = test_extensions
PGFILEDESC = "test_extensions - regression testing for EXTENSION support"

EXTENSION = test_ext1 test_ext2 test_ext3 test_ext4 test_ext5 test_ext6 \
            test_ext7 test_ext8 test_ext9 test_ext_cine test_ext_cor \
            test_ext_cyclic1 test_ext_cyclic2 \
            test_ext_extschema \
            test_ext_evttrig \
            test_ext_set_schema \
            test_ext_req_schema1 test_ext_req_schema2 test_ext_req_schema3

DATA = test_ext1--1.0.sql test_ext2--1.0.sql test_ext3--1.0.sql \
       test_ext4--1.0.sql test_ext5--1.0.sql test_ext6--1.0.sql \
       test_ext7--1.0.sql test_ext7--1.0--2.0.sql \
       test_ext7--2.0--2.1bad.sql test_ext7--2.0--2.2bad.sql \
       test_ext8--1.0.sql \
       test_ext9--1.0.sql \
       test_ext_cine--1.0.sql test_ext_cine--1.0--1.1.sql \
       test_ext_cor--1.0.sql \
       test_ext_cyclic1--1.0.sql test_ext_cyclic2--1.0.sql \
       test_ext_extschema--1.0.sql \
       test_ext_evttrig--1.0.sql test_ext_evttrig--1.0--2.0.sql \
       test_ext_set_schema--1.0.sql \
       test_ext_req_schema1--1.0.sql \
       test_ext_req_schema2--1.0.sql \
       test_ext_req_schema3--1.0.sql

REGRESS = test_extensions test_extdepend

# force C locale for output stability
NO_LOCALE = 1

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = src/test/modules/test_extensions
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
postgresql-18 (18~~devel-1.pgdg+~20250311.2223.g043745c) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Enabling cassert.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 02 Jul 2024 14:48:33 +0200

=== debian/control ===
Source: postgresql-18
Section: 18/database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Martin Pitt <mpitt@debian.org>,
 Peter Eisentraut <petere@debian.org>,
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 autoconf,
 bison,
 clang [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
 debhelper-compat (= 13),
 dh-exec (>= 0.13~),
 docbook-xml,
 docbook-xsl (>= 1.77),
 dpkg-dev (>= 1.16.1~),
 flex,
 gdb <!nocheck>,
 gettext,
 libcurl4-openssl-dev,
 libicu-dev,
 libio-pty-perl <!nocheck>,
 libipc-run-perl <!nocheck>,
 libkrb5-dev,
 libldap2-dev,
 liblz4-dev,
 libpam0g-dev | libpam-dev,
 libperl-dev,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libsystemd-dev [linux-any],
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev,
 libzstd-dev (>= 1.4.0) <!pkg.postgresql.nozstd>,
 llvm-dev [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
 lz4 | liblz4-tool,
 mawk,
 perl (>= 5.8),
 pkgconf,
 postgresql-common (>= 256~),
 python3-dev,
 systemtap-sdt-dev [linux-any],
 tcl-dev,
 tzdata <!nocheck>,
 tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
 uuid-dev,
 xsltproc,
 zlib1g-dev | libz-dev,
 zstd (>= 1.4.0) <!pkg.postgresql.nozstd>,
Homepage: http://www.postgresql.org/
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql
Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 18

Package: libpq-dev
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 18/libdevel
Depends:
 libpq5 (= ${binary:Version}),
 libssl-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 postgresql-doc-18,
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 18/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 18/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 18/libdevel
Depends:
 libecpg-compat3 (= ${binary:Version}),
 libecpg6 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version}),
 libpq-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 18/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Build-Profiles: <!pkg.postgresql.nolibpkgs>
Architecture: any
Section: 18/libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: shared library libpgtypes for PostgreSQL 18
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-18
Architecture: any
Depends:
 locales | locales-all,
 postgresql-client-18 (= ${binary:Version}),
 postgresql-common (>= 252~),
 ssl-cert,
 tzdata,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-contrib-18,
Recommends:
 postgresql-18-jit,
 sysstat,
Breaks:
 dbconfig-common (<< 2.0.22~),
Description: The World's Most Advanced Open Source Relational Database
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides the database server for PostgreSQL 18.${cassert}
XB-Postgresql-Catversion: ${postgresql:Catversion}

Package: postgresql-client-18
Architecture: any
Multi-Arch: foreign
Depends:
 libpq5 (>= ${source:Upstream-Version}),
 postgresql-client-common (>= 182~),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 postgresql-18,
 postgresql-doc-18,
Provides:
 postgresql-client,
Description: front-end programs for PostgreSQL 18
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 18. If you install
 PostgreSQL 18 on a standalone machine, you need the server package
 postgresql-18, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-18
Architecture: any
Section: 18/libdevel
Depends:
 clang-${llvm:Version} [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
 libpq-dev (>= 18~~),
 llvm-${llvm:Version}-dev [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
 postgresql-client-18 (= ${binary:Version}),
 postgresql-common (>= 142~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: development files for PostgreSQL 18 server-side programming
 Header files for compiling SPI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-18
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Section: 18/doc
Depends:
 ${misc:Depends},
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 18. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-18
Architecture: any
Depends:
 perl,
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-plperl,
Description: PL/Perl procedural language for PostgreSQL 18
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 18 in Perl.  You need this package if you have any
 PostgreSQL 18 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython3-18
Architecture: any
Depends:
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-plpython3,
Description: PL/Python 3 procedural language for PostgreSQL 18
 PL/Python 3 enables an SQL developer to write procedural language functions
 for PostgreSQL 18 in Python 3.  You need this package if you have any
 PostgreSQL 18 functions that use the languages plpython3 or plpython3u.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-pltcl-18
Architecture: any
Depends:
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-pltcl,
Description: PL/Tcl procedural language for PostgreSQL 18
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 18 in Tcl.  You need this package if you have any
 PostgreSQL 18 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-18-jit
Architecture: amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x
Build-Profiles: <!pkg.postgresql.nollvm>
Depends:
 postgresql-18 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 postgresql-18-jit-llvm (= ${llvm:Version}),
Replaces:
 postgresql-18 (<= 18~~devel),
 postgresql-plperl-18 (<= 18~~devel),
 postgresql-plpython3-18 (<= 18~~devel),
 postgresql-pltcl-18 (<= 18~~devel),
Description: The World's Most Advanced Open Source Relational Database
 PostgreSQL, also known as Postgres, is a free and open-source relational
 database management system (RDBMS) emphasizing extensibility and SQL
 compliance. It features transactions with Atomicity, Consistency, Isolation,
 Durability (ACID) properties, automatically updatable views, materialized
 views, triggers, foreign keys, and stored procedures. It is designed to handle
 a range of workloads, from single machines to data warehouses or Web services
 with many concurrent users.
 .
 This package provides LLVM-based query JITing for PostgreSQL 18.

## postgresql-18 18~~devel.20250405-1.pgdg22.04%2B~20250408.2224.gc579710

=== debian/changelog ===
postgresql-18 (18~~devel.20250405-1.pgdg22.04+~20250408.2224.gc579710) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Use clang/llvm 15 for jit support.
    + Remove tzdata-legacy from build and test dependencies.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 02 Apr 2025 15:15:38 +0200

postgresql-18 (18~~devel.20250405-1) experimental; urgency=medium

  * New upstream snapshot.
  * B-D on liburing-dev.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Apr 2025 15:15:38 +0200

postgresql-18 (18~~devel.20250331-1) experimental; urgency=medium

  * New upstream snapshot.
  * Drop extension_destdir patch, implemented upstream as
    extension_control_path.
  * Disable JIT on loong64 and riscv64 again, still segfaulting.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Mar 2025 15:47:26 +0100

postgresql-18 (18~~devel.20250318+g4078da6c478-1) experimental; urgency=medium

  * New major upstream version 18; packaging based on postgresql-17.
  * Move JIT to new postgresql-18-jit package. (Closes: #927182)
  * Enable JIT only on 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2025 16:43:43 +0100

## postgresql-18 18~~devel.20250405-1.pgdg22.04+~20250408.1624.gb0a4c3e

=== debian/changelog ===
postgresql-18 (18~~devel.20250405-1.pgdg22.04+~20250408.1624.gb0a4c3e) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Use clang/llvm 15 for jit support.
    + Remove tzdata-legacy from build and test dependencies.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 02 Apr 2025 15:15:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends:
  autoconf,
  bison,
- clang [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
+ clang-15 [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
  debhelper-compat (= 13),
  dh-exec (>= 0.13~),
  docbook-xml,
@@ -33,21 +33,21 @@
  libselinux1-dev [linux-any],
  libssl-dev,
  libsystemd-dev [linux-any],
+ liburing-dev [linux-any],
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
  libzstd-dev (>= 1.4.0) <!pkg.postgresql.nozstd>,
- llvm-dev [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
+ llvm-15-dev [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
  lz4 | liblz4-tool,
  mawk,
  perl (>= 5.8),
  pkgconf,
- postgresql-common (>= 256~),
+ postgresql-common (>= 275~),
  python3-dev,
  systemtap-sdt-dev [linux-any],
  tcl-dev,
  tzdata <!nocheck>,
- tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
  uuid-dev,
  xsltproc,
  zlib1g-dev | libz-dev,
@@ -83,6 +83,8 @@
  ${shlibs:Depends},
 Pre-Depends:
  ${misc:Pre-Depends},
+Recommends:
+ ca-certificates,
 Multi-Arch: same
 Description: PostgreSQL C client library
  libpq is a C library that enables user programs to communicate with
@@ -91,7 +93,8 @@
  with servers from PostgreSQL 8.2 or later.
  .
  This package contains the run-time library, needed by packages using
- libpq.
+ libpq. SSL certificate validation (the sslrootcert=system connection
+ option) requires the ca-certificates package.
  .
  PostgreSQL is an object-relational SQL database management system.
 
@@ -169,7 +172,7 @@
 Depends:
  locales | locales-all,
  postgresql-client-18 (= ${binary:Version}),
- postgresql-common (>= 252~),
+ postgresql-common (>= 275~),
  ssl-cert,
  tzdata,
  ${misc:Depends},
@@ -224,9 +227,9 @@
 Architecture: any
 Section: 18/libdevel
 Depends:
- clang-${llvm:Version} [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
+ clang-${llvm:Version} [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
  libpq-dev (>= 18~~),
- llvm-${llvm:Version}-dev [amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x] <!pkg.postgresql.nollvm>,
+ llvm-${llvm:Version}-dev [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
  postgresql-client-18 (= ${binary:Version}),
  postgresql-common (>= 142~),
  ${misc:Depends},
@@ -301,7 +304,7 @@
  PostgreSQL is an object-relational SQL database management system.
 
 Package: postgresql-18-jit
-Architecture: amd64 arm64 mips64el ppc64 ppc64el riscv64 s390x
+Architecture: amd64 arm64 mips64el ppc64 ppc64el s390x
 Build-Profiles: <!pkg.postgresql.nollvm>
 Depends:
  postgresql-18 (= ${binary:Version}),
@@ -309,11 +312,6 @@
  ${shlibs:Depends},
 Provides:
  postgresql-18-jit-llvm (= ${llvm:Version}),
-Replaces:
- postgresql-18 (<= 18~~devel),
- postgresql-plperl-18 (<= 18~~devel),
- postgresql-plpython3-18 (<= 18~~devel),
- postgresql-pltcl-18 (<= 18~~devel),
 Description: The World's Most Advanced Open Source Relational Database
  PostgreSQL, also known as Postgres, is a free and open-source relational
  database management system (RDBMS) emphasizing extensibility and SQL

## postgresql-18 18~~devel.20250405-1.pgdg24.04%2B~20250408.2226.gc579710

=== debian/changelog ===
postgresql-18 (18~~devel.20250405-1.pgdg24.04+~20250408.2226.gc579710) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Use clang/llvm 19 for jit support.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 02 Apr 2025 15:15:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends:
  autoconf,
  bison,
- clang-15 [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
+ clang-19 [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
  debhelper-compat (= 13),
  dh-exec (>= 0.13~),
  docbook-xml,
@@ -38,7 +38,7 @@
  libxml2-utils,
  libxslt1-dev,
  libzstd-dev (>= 1.4.0) <!pkg.postgresql.nozstd>,
- llvm-15-dev [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
+ llvm-19-dev [amd64 arm64 mips64el ppc64 ppc64el s390x] <!pkg.postgresql.nollvm>,
  lz4 | liblz4-tool,
  mawk,
  perl (>= 5.8),
@@ -48,6 +48,7 @@
  systemtap-sdt-dev [linux-any],
  tcl-dev,
  tzdata <!nocheck>,
+ tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
  uuid-dev,
  xsltproc,
  zlib1g-dev | libz-dev,

## postgresql-18 18~~devel.20250405-1.pgdg24.10%2B~20250408.2225.gc579710

=== debian/changelog ===
postgresql-18 (18~~devel.20250405-1.pgdg24.10+~20250408.2225.gc579710) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 02 Apr 2025 15:15:38 +0200

## postgresql-18 18~~devel.20250405-1.pgdg25.04%2B~20250408.2226.gc579710

=== debian/changelog ===
postgresql-18 (18~~devel.20250405-1.pgdg25.04+~20250408.2226.gc579710) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 02 Apr 2025 15:15:38 +0200

## postgresql-18 18~~devel.20250405-1.pgdg110%2B~20250408.2224.gc579710

=== debian/changelog ===
postgresql-18 (18~~devel.20250405-1.pgdg110+~20250408.2224.gc579710) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (18) with upstream (master).
    + Moving binary packages to component 18.
    + Use clang/llvm 16 for jit support.
    + Remove tzdata-legacy from build and test dependencies.
    + Using source format 1.0 as orig tarball is missing.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 02 Apr 2025 15:15:38 +0200
